Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 qalculate-qt (5.3.0-0.1) unstable; urgency=medium
 .
   * New upstream release.
   * Bump libqalculate-dev build-dependency to >= 5.3.0~
Author: Damir R. Islamov <damir@trefle.ru>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-11-09

--- /dev/null
+++ b/CMakeLists.txt
@@ -0,0 +1,1484 @@
+# Generated from qalculate-qt.pro.
+
+cmake_minimum_required(VERSION 3.16)
+project(qalculate-qt VERSION 5.3.0 LANGUAGES CXX)
+
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+set(CMAKE_AUTOMOC ON)
+
+if(NOT DEFINED INSTALL_EXAMPLESDIR)
+    set(INSTALL_EXAMPLESDIR "examples")
+endif()
+
+set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")
+
+find_package(QT NAMES Qt5 Qt6 REQUIRED COMPONENTS Core)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network Widgets)
+find_package(WrapIconv)
+
+pkg_check_modules(QALCULATE REQUIRED libqalculate>=${CMAKE_PROJECT_VERSION})
+
+qt_add_executable(qalculate-qt WIN32 MACOSX_BUNDLE
+    src/calendarconversiondialog.cpp src/calendarconversiondialog.h
+    src/csvdialog.cpp src/csvdialog.h
+    src/dataseteditdialog.cpp src/dataseteditdialog.h
+    src/datasetsdialog.cpp src/datasetsdialog.h
+    src/expressionedit.cpp src/expressionedit.h
+    src/fpconversiondialog.cpp src/fpconversiondialog.h
+    src/functioneditdialog.cpp src/functioneditdialog.h
+    src/functionsdialog.cpp src/functionsdialog.h
+    src/historyview.cpp src/historyview.h
+    src/itemproxymodel.cpp src/itemproxymodel.h
+    src/keypadwidget.cpp src/keypadwidget.h
+    src/main.cpp
+    src/matrixwidget.cpp src/matrixwidget.h
+    src/percentagecalculationdialog.cpp src/percentagecalculationdialog.h
+    src/periodictabledialog.cpp src/periodictabledialog.h
+    src/plotdialog.cpp src/plotdialog.h
+    src/preferencesdialog.cpp src/preferencesdialog.h
+    src/qalculateqtsettings.cpp src/qalculateqtsettings.h
+    src/qalculatewindow.cpp src/qalculatewindow.h
+    src/uniteditdialog.cpp src/uniteditdialog.h
+    src/unitsdialog.cpp src/unitsdialog.h
+    src/unknowneditdialog.cpp src/unknowneditdialog.h
+    src/variableeditdialog.cpp src/variableeditdialog.h
+    src/variablesdialog.cpp src/variablesdialog.h
+)
+target_include_directories(qalculate-qt PUBLIC
+    src
+)
+
+target_link_libraries(qalculate-qt PUBLIC
+    Qt::Core
+    Qt::Gui
+    Qt::Network
+    Qt::Widgets
+    ${QALCULATE_LIBRARIES}
+)
+
+if(UNIX AND NOT ANDROID AND NOT COMPILE_RESOURCES___equals___yes AND NOT MACOS)
+    target_compile_definitions(qalculate-qt PUBLIC
+        TRANSLATIONS_DIR=\"$PREFIX/share/qalculate-qt/translations\"
+    )
+
+
+    # Resources:
+    set_source_files_properties("data/128/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/128x128/qalculate-qt.png"
+    )
+    set_source_files_properties("data/16/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/16x16/qalculate-qt.png"
+    )
+    set_source_files_properties("data/22/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/22x22/qalculate-qt.png"
+    )
+    set_source_files_properties("data/32/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/32x32/qalculate-qt.png"
+    )
+    set_source_files_properties("data/48/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/48x48/qalculate-qt.png"
+    )
+    set_source_files_properties("data/64/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/64x64/qalculate-qt.png"
+    )
+    set_source_files_properties("data/scalable/calendars-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/calendars.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/configure-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/configure.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/convert-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/convert.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-open-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-open.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-save-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/document-save.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/function-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/function.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/go-back-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-back.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-down-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-down.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-up-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/go-up.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/percentage-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/percentage.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/plot-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/plot.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/qalculate-qt.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/scalable/qalculate-qt.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/table-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/table.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/units-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/units.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/warning.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/warning.svg"
+    )
+    set(icons_resource_files
+        "data/128/qalculate-qt.png"
+        "data/16/qalculate-qt.png"
+        "data/22/qalculate-qt.png"
+        "data/32/qalculate-qt.png"
+        "data/48/qalculate-qt.png"
+        "data/64/qalculate-qt.png"
+        "data/scalable/calendars-dark.svg"
+        "data/scalable/calendars.svg"
+        "data/scalable/configure-dark.svg"
+        "data/scalable/configure.svg"
+        "data/scalable/convert-dark.svg"
+        "data/scalable/convert.svg"
+        "data/scalable/document-edit-dark.svg"
+        "data/scalable/document-edit.svg"
+        "data/scalable/document-open-dark.svg"
+        "data/scalable/document-open.svg"
+        "data/scalable/document-save-dark.svg"
+        "data/scalable/document-save.svg"
+        "data/scalable/edit-clear-dark.svg"
+        "data/scalable/edit-clear.svg"
+        "data/scalable/edit-copy-dark.svg"
+        "data/scalable/edit-copy.svg"
+        "data/scalable/edit-delete-dark.svg"
+        "data/scalable/edit-delete.svg"
+        "data/scalable/edit-find-dark.svg"
+        "data/scalable/edit-find.svg"
+        "data/scalable/edit-paste-dark.svg"
+        "data/scalable/edit-paste.svg"
+        "data/scalable/edit-undo-dark.svg"
+        "data/scalable/edit-undo.svg"
+        "data/scalable/function-dark.svg"
+        "data/scalable/function.svg"
+        "data/scalable/go-back-dark.svg"
+        "data/scalable/go-back.svg"
+        "data/scalable/go-down-dark.svg"
+        "data/scalable/go-down.svg"
+        "data/scalable/go-forward-dark.svg"
+        "data/scalable/go-forward.svg"
+        "data/scalable/go-up-dark.svg"
+        "data/scalable/go-up.svg"
+        "data/scalable/input-dialpad-dark.svg"
+        "data/scalable/input-dialpad.svg"
+        "data/scalable/number-bases-dark.svg"
+        "data/scalable/number-bases.svg"
+        "data/scalable/open-menu-dark.svg"
+        "data/scalable/open-menu.svg"
+        "data/scalable/percentage-dark.svg"
+        "data/scalable/percentage.svg"
+        "data/scalable/plot-dark.svg"
+        "data/scalable/plot.svg"
+        "data/scalable/qalculate-qt.svg"
+        "data/scalable/rpn-swap-dark.svg"
+        "data/scalable/rpn-swap.svg"
+        "data/scalable/table-dark.svg"
+        "data/scalable/table.svg"
+        "data/scalable/units-dark.svg"
+        "data/scalable/units.svg"
+        "data/scalable/warning.svg"
+    )
+
+    qt6_add_resources(qalculate-qt "icons"
+        PREFIX
+            "/icons"
+        FILES
+            ${icons_resource_files}
+    )
+    set_source_files_properties("data/128/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/128x128/qalculate-qt.png"
+    )
+    set_source_files_properties("data/16/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/16x16/qalculate-qt.png"
+    )
+    set_source_files_properties("data/22/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/22x22/qalculate-qt.png"
+    )
+    set_source_files_properties("data/32/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/32x32/qalculate-qt.png"
+    )
+    set_source_files_properties("data/48/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/48x48/qalculate-qt.png"
+    )
+    set_source_files_properties("data/64/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/64x64/qalculate-qt.png"
+    )
+    set_source_files_properties("data/scalable/calendars-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/calendars.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/configure-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/configure.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/convert-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/convert.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-open-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-open.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-save-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/document-save.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/function-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/function.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/go-back-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-back.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-down-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-down.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-up-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/go-up.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/percentage-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/percentage.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/plot-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/plot.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/qalculate-qt.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/scalable/qalculate-qt.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/table-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/table.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/units-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/units.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/warning.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/warning.svg"
+    )
+    set(flags_resource_files
+        "data/flags/AED.png"
+        "data/flags/AFN.png"
+        "data/flags/ALL.png"
+        "data/flags/AMD.png"
+        "data/flags/ANG.png"
+        "data/flags/AOA.png"
+        "data/flags/ARS.png"
+        "data/flags/ATS.png"
+        "data/flags/AUD.png"
+        "data/flags/AWG.png"
+        "data/flags/AZN.png"
+        "data/flags/BAM.png"
+        "data/flags/BBD.png"
+        "data/flags/BDT.png"
+        "data/flags/BEF.png"
+        "data/flags/BGN.png"
+        "data/flags/BHD.png"
+        "data/flags/BIF.png"
+        "data/flags/BMD.png"
+        "data/flags/BND.png"
+        "data/flags/BOB.png"
+        "data/flags/BRL.png"
+        "data/flags/BSD.png"
+        "data/flags/BTC.png"
+        "data/flags/BWP.png"
+        "data/flags/BZD.png"
+        "data/flags/CAD.png"
+        "data/flags/CDF.png"
+        "data/flags/CHF.png"
+        "data/flags/CLP.png"
+        "data/flags/CNY.png"
+        "data/flags/COP.png"
+        "data/flags/CRC.png"
+        "data/flags/CUP.png"
+        "data/flags/CVE.png"
+        "data/flags/CYP.png"
+        "data/flags/CZK.png"
+        "data/flags/DEM.png"
+        "data/flags/DJF.png"
+        "data/flags/DKK.png"
+        "data/flags/DOP.png"
+        "data/flags/DZD.png"
+        "data/flags/EEK.png"
+        "data/flags/EGP.png"
+        "data/flags/ERN.png"
+        "data/flags/ESP.png"
+        "data/flags/ETB.png"
+        "data/flags/EUR.png"
+        "data/flags/FIM.png"
+        "data/flags/FJD.png"
+        "data/flags/FKP.png"
+        "data/flags/FRF.png"
+        "data/flags/GBP.png"
+        "data/flags/GEL.png"
+        "data/flags/GGP.png"
+        "data/flags/GHS.png"
+        "data/flags/GIP.png"
+        "data/flags/GMD.png"
+        "data/flags/GNF.png"
+        "data/flags/GRD.png"
+        "data/flags/GTQ.png"
+        "data/flags/GYD.png"
+        "data/flags/HKD.png"
+        "data/flags/HNL.png"
+        "data/flags/HRK.png"
+        "data/flags/HTG.png"
+        "data/flags/HUF.png"
+        "data/flags/IDR.png"
+        "data/flags/IEP.png"
+        "data/flags/ILS.png"
+        "data/flags/INR.png"
+        "data/flags/IQD.png"
+        "data/flags/IRR.png"
+        "data/flags/ISK.png"
+        "data/flags/ITL.png"
+        "data/flags/JMD.png"
+        "data/flags/JOD.png"
+        "data/flags/JPY.png"
+        "data/flags/KES.png"
+        "data/flags/KGS.png"
+        "data/flags/KHR.png"
+        "data/flags/KMF.png"
+        "data/flags/KPW.png"
+        "data/flags/KRW.png"
+        "data/flags/KWD.png"
+        "data/flags/KYD.png"
+        "data/flags/KZT.png"
+        "data/flags/LAK.png"
+        "data/flags/LBP.png"
+        "data/flags/LKR.png"
+        "data/flags/LRD.png"
+        "data/flags/LSL.png"
+        "data/flags/LTL.png"
+        "data/flags/LUF.png"
+        "data/flags/LVL.png"
+        "data/flags/LYD.png"
+        "data/flags/MAD.png"
+        "data/flags/MDL.png"
+        "data/flags/MGA.png"
+        "data/flags/MKD.png"
+        "data/flags/MMK.png"
+        "data/flags/MNT.png"
+        "data/flags/MOP.png"
+        "data/flags/MRO.png"
+        "data/flags/MRU.png"
+        "data/flags/MTL.png"
+        "data/flags/MUR.png"
+        "data/flags/MVR.png"
+        "data/flags/MWK.png"
+        "data/flags/MXN.png"
+        "data/flags/MYR.png"
+        "data/flags/MZN.png"
+        "data/flags/NAD.png"
+        "data/flags/NGN.png"
+        "data/flags/NIO.png"
+        "data/flags/NLG.png"
+        "data/flags/NOK.png"
+        "data/flags/NPR.png"
+        "data/flags/NZD.png"
+        "data/flags/OMR.png"
+        "data/flags/PAB.png"
+        "data/flags/PEN.png"
+        "data/flags/PGK.png"
+        "data/flags/PHP.png"
+        "data/flags/PKR.png"
+        "data/flags/PLN.png"
+        "data/flags/PTE.png"
+        "data/flags/PYG.png"
+        "data/flags/QAR.png"
+        "data/flags/RON.png"
+        "data/flags/RSD.png"
+        "data/flags/RWF.png"
+        "data/flags/SAR.png"
+        "data/flags/SBD.png"
+        "data/flags/SCR.png"
+        "data/flags/SDG.png"
+        "data/flags/SEK.png"
+        "data/flags/SGD.png"
+        "data/flags/SIT.png"
+        "data/flags/SKK.png"
+        "data/flags/SLL.png"
+        "data/flags/SOS.png"
+        "data/flags/SRD.png"
+        "data/flags/STD.png"
+        "data/flags/SVC.png"
+        "data/flags/SYP.png"
+        "data/flags/SZL.png"
+        "data/flags/THB.png"
+        "data/flags/TJS.png"
+        "data/flags/TMT.png"
+        "data/flags/TND.png"
+        "data/flags/TOP.png"
+        "data/flags/TRY.png"
+        "data/flags/TTD.png"
+        "data/flags/TWD.png"
+        "data/flags/TZS.png"
+        "data/flags/UAH.png"
+        "data/flags/UGX.png"
+        "data/flags/USD.png"
+        "data/flags/UYU.png"
+        "data/flags/UZS.png"
+        "data/flags/VEF.png"
+        "data/flags/VES.png"
+        "data/flags/VND.png"
+        "data/flags/VUV.png"
+        "data/flags/XAF.png"
+        "data/flags/XCD.png"
+        "data/flags/XOF.png"
+        "data/flags/XPF.png"
+        "data/flags/YER.png"
+        "data/flags/ZAR.png"
+        "data/flags/ZMK.png"
+        "data/flags/ZMW.png"
+        "data/flags/cent.png"
+        "data/flags/eurocent.png"
+    )
+
+    qt6_add_resources(qalculate-qt "flags"
+        PREFIX
+            "/"
+        FILES
+            ${flags_resource_files}
+    )
+endif()
+
+if(WIN32)
+    target_link_libraries(qalculate-qt PUBLIC
+        WrapIconv::WrapIconv
+        curl
+        gmp
+        icuuc
+        intl
+        mpfr
+        qalculate
+        xml2
+    )
+endif()
+
+if(ANDROID OR COMPILE_RESOURCES___equals___yes OR MACOS OR WIN32)
+
+    # Resources:
+    set_source_files_properties("data/128/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/128x128/qalculate-qt.png"
+    )
+    set_source_files_properties("data/16/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/16x16/qalculate-qt.png"
+    )
+    set_source_files_properties("data/22/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/22x22/qalculate-qt.png"
+    )
+    set_source_files_properties("data/32/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/32x32/qalculate-qt.png"
+    )
+    set_source_files_properties("data/48/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/48x48/qalculate-qt.png"
+    )
+    set_source_files_properties("data/64/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/64x64/qalculate-qt.png"
+    )
+    set_source_files_properties("data/scalable/calendars-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/calendars.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/configure-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/configure.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/convert-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/convert.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-open-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-open.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-save-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/document-save.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/function-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/function.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/go-back-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-back.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-down-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-down.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-up-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/go-up.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/percentage-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/percentage.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/plot-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/plot.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/qalculate-qt.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/scalable/qalculate-qt.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/table-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/table.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/units-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/units.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/warning.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/warning.svg"
+    )
+    set(icons_resource_files
+        "data/128/qalculate-qt.png"
+        "data/16/qalculate-qt.png"
+        "data/22/qalculate-qt.png"
+        "data/32/qalculate-qt.png"
+        "data/48/qalculate-qt.png"
+        "data/64/qalculate-qt.png"
+        "data/scalable/calendars-dark.svg"
+        "data/scalable/calendars.svg"
+        "data/scalable/configure-dark.svg"
+        "data/scalable/configure.svg"
+        "data/scalable/convert-dark.svg"
+        "data/scalable/convert.svg"
+        "data/scalable/document-edit-dark.svg"
+        "data/scalable/document-edit.svg"
+        "data/scalable/document-open-dark.svg"
+        "data/scalable/document-open.svg"
+        "data/scalable/document-save-dark.svg"
+        "data/scalable/document-save.svg"
+        "data/scalable/edit-clear-dark.svg"
+        "data/scalable/edit-clear.svg"
+        "data/scalable/edit-copy-dark.svg"
+        "data/scalable/edit-copy.svg"
+        "data/scalable/edit-delete-dark.svg"
+        "data/scalable/edit-delete.svg"
+        "data/scalable/edit-find-dark.svg"
+        "data/scalable/edit-find.svg"
+        "data/scalable/edit-paste-dark.svg"
+        "data/scalable/edit-paste.svg"
+        "data/scalable/edit-undo-dark.svg"
+        "data/scalable/edit-undo.svg"
+        "data/scalable/function-dark.svg"
+        "data/scalable/function.svg"
+        "data/scalable/go-back-dark.svg"
+        "data/scalable/go-back.svg"
+        "data/scalable/go-down-dark.svg"
+        "data/scalable/go-down.svg"
+        "data/scalable/go-forward-dark.svg"
+        "data/scalable/go-forward.svg"
+        "data/scalable/go-up-dark.svg"
+        "data/scalable/go-up.svg"
+        "data/scalable/input-dialpad-dark.svg"
+        "data/scalable/input-dialpad.svg"
+        "data/scalable/number-bases-dark.svg"
+        "data/scalable/number-bases.svg"
+        "data/scalable/open-menu-dark.svg"
+        "data/scalable/open-menu.svg"
+        "data/scalable/percentage-dark.svg"
+        "data/scalable/percentage.svg"
+        "data/scalable/plot-dark.svg"
+        "data/scalable/plot.svg"
+        "data/scalable/qalculate-qt.svg"
+        "data/scalable/rpn-swap-dark.svg"
+        "data/scalable/rpn-swap.svg"
+        "data/scalable/table-dark.svg"
+        "data/scalable/table.svg"
+        "data/scalable/units-dark.svg"
+        "data/scalable/units.svg"
+        "data/scalable/warning.svg"
+    )
+
+    qt6_add_resources(qalculate-qt "icons"
+        PREFIX
+            "/icons"
+        FILES
+            ${icons_resource_files}
+    )
+    set_source_files_properties("data/128/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/128x128/qalculate-qt.png"
+    )
+    set_source_files_properties("data/16/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/16x16/qalculate-qt.png"
+    )
+    set_source_files_properties("data/22/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/22x22/qalculate-qt.png"
+    )
+    set_source_files_properties("data/32/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/32x32/qalculate-qt.png"
+    )
+    set_source_files_properties("data/48/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/48x48/qalculate-qt.png"
+    )
+    set_source_files_properties("data/64/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/64x64/qalculate-qt.png"
+    )
+    set_source_files_properties("data/scalable/calendars-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/calendars.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/configure-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/configure.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/convert-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/convert.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-open-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-open.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-save-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/document-save.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/function-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/function.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/go-back-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-back.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-down-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-down.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-up-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/go-up.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/percentage-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/percentage.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/plot-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/plot.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/qalculate-qt.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/scalable/qalculate-qt.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/table-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/table.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/units-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/units.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/warning.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/warning.svg"
+    )
+    set(flags_resource_files
+        "data/flags/AED.png"
+        "data/flags/AFN.png"
+        "data/flags/ALL.png"
+        "data/flags/AMD.png"
+        "data/flags/ANG.png"
+        "data/flags/AOA.png"
+        "data/flags/ARS.png"
+        "data/flags/ATS.png"
+        "data/flags/AUD.png"
+        "data/flags/AWG.png"
+        "data/flags/AZN.png"
+        "data/flags/BAM.png"
+        "data/flags/BBD.png"
+        "data/flags/BDT.png"
+        "data/flags/BEF.png"
+        "data/flags/BGN.png"
+        "data/flags/BHD.png"
+        "data/flags/BIF.png"
+        "data/flags/BMD.png"
+        "data/flags/BND.png"
+        "data/flags/BOB.png"
+        "data/flags/BRL.png"
+        "data/flags/BSD.png"
+        "data/flags/BTC.png"
+        "data/flags/BWP.png"
+        "data/flags/BZD.png"
+        "data/flags/CAD.png"
+        "data/flags/CDF.png"
+        "data/flags/CHF.png"
+        "data/flags/CLP.png"
+        "data/flags/CNY.png"
+        "data/flags/COP.png"
+        "data/flags/CRC.png"
+        "data/flags/CUP.png"
+        "data/flags/CVE.png"
+        "data/flags/CYP.png"
+        "data/flags/CZK.png"
+        "data/flags/DEM.png"
+        "data/flags/DJF.png"
+        "data/flags/DKK.png"
+        "data/flags/DOP.png"
+        "data/flags/DZD.png"
+        "data/flags/EEK.png"
+        "data/flags/EGP.png"
+        "data/flags/ERN.png"
+        "data/flags/ESP.png"
+        "data/flags/ETB.png"
+        "data/flags/EUR.png"
+        "data/flags/FIM.png"
+        "data/flags/FJD.png"
+        "data/flags/FKP.png"
+        "data/flags/FRF.png"
+        "data/flags/GBP.png"
+        "data/flags/GEL.png"
+        "data/flags/GGP.png"
+        "data/flags/GHS.png"
+        "data/flags/GIP.png"
+        "data/flags/GMD.png"
+        "data/flags/GNF.png"
+        "data/flags/GRD.png"
+        "data/flags/GTQ.png"
+        "data/flags/GYD.png"
+        "data/flags/HKD.png"
+        "data/flags/HNL.png"
+        "data/flags/HRK.png"
+        "data/flags/HTG.png"
+        "data/flags/HUF.png"
+        "data/flags/IDR.png"
+        "data/flags/IEP.png"
+        "data/flags/ILS.png"
+        "data/flags/INR.png"
+        "data/flags/IQD.png"
+        "data/flags/IRR.png"
+        "data/flags/ISK.png"
+        "data/flags/ITL.png"
+        "data/flags/JMD.png"
+        "data/flags/JOD.png"
+        "data/flags/JPY.png"
+        "data/flags/KES.png"
+        "data/flags/KGS.png"
+        "data/flags/KHR.png"
+        "data/flags/KMF.png"
+        "data/flags/KPW.png"
+        "data/flags/KRW.png"
+        "data/flags/KWD.png"
+        "data/flags/KYD.png"
+        "data/flags/KZT.png"
+        "data/flags/LAK.png"
+        "data/flags/LBP.png"
+        "data/flags/LKR.png"
+        "data/flags/LRD.png"
+        "data/flags/LSL.png"
+        "data/flags/LTL.png"
+        "data/flags/LUF.png"
+        "data/flags/LVL.png"
+        "data/flags/LYD.png"
+        "data/flags/MAD.png"
+        "data/flags/MDL.png"
+        "data/flags/MGA.png"
+        "data/flags/MKD.png"
+        "data/flags/MMK.png"
+        "data/flags/MNT.png"
+        "data/flags/MOP.png"
+        "data/flags/MRO.png"
+        "data/flags/MRU.png"
+        "data/flags/MTL.png"
+        "data/flags/MUR.png"
+        "data/flags/MVR.png"
+        "data/flags/MWK.png"
+        "data/flags/MXN.png"
+        "data/flags/MYR.png"
+        "data/flags/MZN.png"
+        "data/flags/NAD.png"
+        "data/flags/NGN.png"
+        "data/flags/NIO.png"
+        "data/flags/NLG.png"
+        "data/flags/NOK.png"
+        "data/flags/NPR.png"
+        "data/flags/NZD.png"
+        "data/flags/OMR.png"
+        "data/flags/PAB.png"
+        "data/flags/PEN.png"
+        "data/flags/PGK.png"
+        "data/flags/PHP.png"
+        "data/flags/PKR.png"
+        "data/flags/PLN.png"
+        "data/flags/PTE.png"
+        "data/flags/PYG.png"
+        "data/flags/QAR.png"
+        "data/flags/RON.png"
+        "data/flags/RSD.png"
+        "data/flags/RWF.png"
+        "data/flags/SAR.png"
+        "data/flags/SBD.png"
+        "data/flags/SCR.png"
+        "data/flags/SDG.png"
+        "data/flags/SEK.png"
+        "data/flags/SGD.png"
+        "data/flags/SIT.png"
+        "data/flags/SKK.png"
+        "data/flags/SLL.png"
+        "data/flags/SOS.png"
+        "data/flags/SRD.png"
+        "data/flags/STD.png"
+        "data/flags/SVC.png"
+        "data/flags/SYP.png"
+        "data/flags/SZL.png"
+        "data/flags/THB.png"
+        "data/flags/TJS.png"
+        "data/flags/TMT.png"
+        "data/flags/TND.png"
+        "data/flags/TOP.png"
+        "data/flags/TRY.png"
+        "data/flags/TTD.png"
+        "data/flags/TWD.png"
+        "data/flags/TZS.png"
+        "data/flags/UAH.png"
+        "data/flags/UGX.png"
+        "data/flags/USD.png"
+        "data/flags/UYU.png"
+        "data/flags/UZS.png"
+        "data/flags/VEF.png"
+        "data/flags/VES.png"
+        "data/flags/VND.png"
+        "data/flags/VUV.png"
+        "data/flags/XAF.png"
+        "data/flags/XCD.png"
+        "data/flags/XOF.png"
+        "data/flags/XPF.png"
+        "data/flags/YER.png"
+        "data/flags/ZAR.png"
+        "data/flags/ZMK.png"
+        "data/flags/ZMW.png"
+        "data/flags/cent.png"
+        "data/flags/eurocent.png"
+    )
+
+    qt6_add_resources(qalculate-qt "flags"
+        PREFIX
+            "/"
+        FILES
+            ${flags_resource_files}
+    )
+    set_source_files_properties("data/128/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/128x128/qalculate-qt.png"
+    )
+    set_source_files_properties("data/16/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/16x16/qalculate-qt.png"
+    )
+    set_source_files_properties("data/22/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/22x22/qalculate-qt.png"
+    )
+    set_source_files_properties("data/32/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/32x32/qalculate-qt.png"
+    )
+    set_source_files_properties("data/48/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/48x48/qalculate-qt.png"
+    )
+    set_source_files_properties("data/64/qalculate-qt.png"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/64x64/qalculate-qt.png"
+    )
+    set_source_files_properties("data/scalable/calendars-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/calendars.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/calendars.svg"
+    )
+    set_source_files_properties("data/scalable/configure-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/configure.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/configure.svg"
+    )
+    set_source_files_properties("data/scalable/convert-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/convert.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/convert.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-edit.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-edit.svg"
+    )
+    set_source_files_properties("data/scalable/document-open-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-open.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-open.svg"
+    )
+    set_source_files_properties("data/scalable/document-save-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/document-save.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/document-save.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-clear.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-clear.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-copy.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-copy.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-delete.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-delete.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-find.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-find.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-paste.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-paste.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/edit-undo.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/edit-undo.svg"
+    )
+    set_source_files_properties("data/scalable/function-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/function.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/function.svg"
+    )
+    set_source_files_properties("data/scalable/go-back-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-back.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-back.svg"
+    )
+    set_source_files_properties("data/scalable/go-down-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-down.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-down.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-forward.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-forward.svg"
+    )
+    set_source_files_properties("data/scalable/go-up-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/go-up.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/go-up.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/input-dialpad.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/keypad.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/number-bases.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/number-bases.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/open-menu.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/menu.svg"
+    )
+    set_source_files_properties("data/scalable/percentage-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/percentage.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/percentage.svg"
+    )
+    set_source_files_properties("data/scalable/plot-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/plot.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/plot.svg"
+    )
+    set_source_files_properties("data/scalable/qalculate-qt.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "apps/scalable/qalculate-qt.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/rpn-swap.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/rpn-swap.svg"
+    )
+    set_source_files_properties("data/scalable/table-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/table.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/table.svg"
+    )
+    set_source_files_properties("data/scalable/units-dark.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/units.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "actions/scalable/units.svg"
+    )
+    set_source_files_properties("data/scalable/warning.svg"
+        PROPERTIES QT_RESOURCE_ALIAS "dark/actions/scalable/warning.svg"
+    )
+
+    set(translations_resource_files
+        "translations/qalculate-qt_ca.qm"
+        "translations/qalculate-qt_de.qm"
+        "translations/qalculate-qt_es.qm"
+        "translations/qalculate-qt_fr.qm"
+        "translations/qalculate-qt_nl.qm"
+        "translations/qalculate-qt_pt_BR.qm"
+        "translations/qalculate-qt_pt_PT.qm"
+        "translations/qalculate-qt_ru.qm"
+        "translations/qalculate-qt_sl.qm"
+        "translations/qalculate-qt_sv.qm"
+        "translations/qalculate-qt_zh_CN.qm"
+    )
+
+    qt6_add_resources(qalculate-qt "translations"
+        PREFIX
+            "/"
+        FILES
+            ${translations_resource_files}
+    )
+endif()
+
+install(TARGETS qalculate-qt
+    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
+    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
+    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
+)
